summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrick McLean <patrick.mclean@sony.com>2020-09-03 18:28:59 -0700
committerPatrick McLean <chutzpah@gentoo.org>2020-09-03 18:45:30 -0700
commit80262791380dcfa0e6bcf53796b8a78116d40bc1 (patch)
tree17dfb38274023b6d0eeb0d7a836cd3ebe742f0e7 /app-admin
parentdev-python/pytest-salt-factories: New package (diff)
downloadgentoo-80262791380dcfa0e6bcf53796b8a78116d40bc1.tar.gz
gentoo-80262791380dcfa0e6bcf53796b8a78116d40bc1.tar.bz2
gentoo-80262791380dcfa0e6bcf53796b8a78116d40bc1.zip
dev-util/salt-3001.1: Version bump
Copyright: Sony Interactive Entertainment Inc. Package-Manager: Portage-3.0.5, Repoman-3.0.1 Signed-off-by: Patrick McLean <chutzpah@gentoo.org>
Diffstat (limited to 'app-admin')
-rw-r--r--app-admin/salt/Manifest1
-rw-r--r--app-admin/salt/files/salt-3001.1-tests.patch151
-rw-r--r--app-admin/salt/salt-3001.1.ebuild195
3 files changed, 347 insertions, 0 deletions
diff --git a/app-admin/salt/Manifest b/app-admin/salt/Manifest
index 97d1031e86e..4f594f7a094 100644
--- a/app-admin/salt/Manifest
+++ b/app-admin/salt/Manifest
@@ -2,3 +2,4 @@ DIST salt-2019.2.5.tar.gz 14574347 BLAKE2B d456dd493e79640260f3ad3c964fdaaa26dd7
DIST salt-3000.2-py38-misc.patch.gz 6250 BLAKE2B 68fff80a042e6bf208ea2d9692da7a7b1e29572f1ec3c850c14743bbf2821d231f933ec4e6d6eaad12acee0b7666888a37a72872b2b082c92d8db9de988fbbec SHA512 6d4a66323a423e630f7cc73b566ed96c452c8fc3d72c25a2dd86033c4774c1c8e8b8701e1d4ee92994d4148c398d704f419023e26d8b40c8fdd63f9d79d9d52f
DIST salt-3000.2.tar.gz 15231513 BLAKE2B 2090d0f52f953a42f1685ad190750e9c76ad6e862a3272444fef063a7605f69a6c542f04165a41fb9cdaa126a878cc133d4857faa70edc5eac4bf49bdde937ab SHA512 88e8876ed8cd18e942c2194686cda68f40fa49e69e317ca488bf58e095bcf6cdf8771d93eba7960038941cc5863e13a4eea4dad5256c12da7cd8288a2c61f59d
DIST salt-3000.3.tar.gz 15237557 BLAKE2B ab51e07f56f9e02c47da58fad95c9482ea70e0685996a78e34382eadb3a9a3dace63ef65d643a9de284ea00c34785eae631d033f32e00e59eb3639514459af33 SHA512 a4697da9a2f7d484b72145e8b83f6d9032369f87e2e7119a9d51f59b989488285406543f79142fc686c41c144f5878eefba37927137581c892c88f03fc3a8208
+DIST salt-3001.1.tar.gz 14556156 BLAKE2B 3088955a07b6ff95588f5b6235e0bae9cea366e957e026bacd228af9f1ed500f88f7fb543833f2398d64fe7e4546f0f29d7c65362464097bf89424174e76c954 SHA512 d59b6c3580d3379192f36e462385c74b53b0b385e63b3db7734003d0a71df8f88593a59eeccd86b1dc15800e46d050094e7a88f2636673770ddc952d0110ca29
diff --git a/app-admin/salt/files/salt-3001.1-tests.patch b/app-admin/salt/files/salt-3001.1-tests.patch
new file mode 100644
index 00000000000..ad32b611dfe
--- /dev/null
+++ b/app-admin/salt/files/salt-3001.1-tests.patch
@@ -0,0 +1,151 @@
+diff --git a/tests/integration/master/test_event_return.py b/tests/integration/master/test_event_return.py
+index 1a97be0e5f..93c57f08ff 100644
+--- a/tests/integration/master/test_event_return.py
++++ b/tests/integration/master/test_event_return.py
+@@ -18,7 +18,7 @@ import time
+ import salt.ext.six as six
+ from salt.utils.nb_popen import NonBlockingPopen
+ from saltfactories.utils.ports import get_unused_localhost_port
+-from saltfactories.utils.processes.helpers import terminate_process
++from saltfactories.utils.processes import terminate_process
+ from tests.support.cli_scripts import ScriptPathMixin
+ from tests.support.mixins import AdaptedConfigurationTestCaseMixin
+ from tests.support.runtests import RUNTIME_VARS
+diff --git a/tests/integration/utils/testprogram.py b/tests/integration/utils/testprogram.py
+index 74bbc1cd90..be651591d1 100644
+--- a/tests/integration/utils/testprogram.py
++++ b/tests/integration/utils/testprogram.py
+@@ -30,7 +30,7 @@ import salt.utils.psutil_compat as psutils
+ import salt.utils.yaml
+ from salt.ext import six
+ from salt.ext.six.moves import range
+-from saltfactories.utils.processes.helpers import (
++from saltfactories.utils.processes import (
+ terminate_process,
+ terminate_process_list,
+ )
+diff --git a/tests/support/case.py b/tests/support/case.py
+index 9017027ae3..517cefb64a 100644
+--- a/tests/support/case.py
++++ b/tests/support/case.py
+@@ -25,7 +25,7 @@ import time
+ from datetime import datetime, timedelta
+
+ import salt.utils.files
+-from saltfactories.utils.processes.helpers import terminate_process
++from saltfactories.utils.processes import terminate_process
+ from tests.support.cli_scripts import ScriptPathMixin
+ from tests.support.helpers import RedirectStdStreams, requires_sshd_server
+ from tests.support.mixins import ( # pylint: disable=unused-import
+diff --git a/tests/support/helpers.py b/tests/support/helpers.py
+index bae2dceff4..93fbb66742 100644
+--- a/tests/support/helpers.py
++++ b/tests/support/helpers.py
+@@ -42,7 +42,7 @@ import salt.utils.versions
+ from salt.ext import six
+ from salt.ext.six.moves import builtins, range
+ from saltfactories.utils.ports import get_unused_localhost_port
+-from saltfactories.utils.processes.bases import ProcessResult
++from saltfactories.utils.processes import ProcessResult
+ from tests.support.mock import patch
+ from tests.support.runtests import RUNTIME_VARS
+ from tests.support.sminion import create_sminion
+@@ -1674,7 +1674,7 @@ class VirtualEnv(object):
+ kwargs.setdefault("stderr", subprocess.PIPE)
+ kwargs.setdefault("universal_newlines", True)
+ proc = subprocess.run(args, check=False, **kwargs)
+- ret = ProcessResult(proc.returncode, proc.stdout, proc.stderr, proc.args)
++ ret = ProcessResult(proc.returncode, proc.stdout, proc.stderr, cmdline=proc.args)
+ log.debug(ret)
+ if check is True:
+ proc.check_returncode()
+diff --git a/tests/support/paths.py b/tests/support/paths.py
+index 1e1e081dc4..981aa54eb7 100644
+--- a/tests/support/paths.py
++++ b/tests/support/paths.py
+@@ -49,14 +49,12 @@ if TESTS_DIR not in sys.path:
+ sys.path.insert(1, TESTS_DIR)
+
+ SYS_TMP_DIR = os.path.abspath(
+- os.path.realpath(
+- # Avoid ${TMPDIR} and gettempdir() on MacOS as they yield a base path too long
+- # for unix sockets: ``error: AF_UNIX path too long``
+- # Gentoo Portage prefers ebuild tests are rooted in ${TMPDIR}
+- os.environ.get("TMPDIR", tempfile.gettempdir())
+- if not sys.platform.startswith("darwin")
+- else "/tmp"
+- )
++ # Avoid ${TMPDIR} and gettempdir() on MacOS as they yield a base path too long
++ # for unix sockets: ``error: AF_UNIX path too long``
++ # Gentoo Portage prefers ebuild tests are rooted in ${TMPDIR}
++ os.environ.get("TMPDIR", tempfile.gettempdir())
++ if not sys.platform.startswith("darwin")
++ else "/tmp"
+ )
+ TMP = os.path.join(SYS_TMP_DIR, "salt-tests-tmpdir")
+ TMP_ROOT_DIR = os.path.join(TMP, "rootdir")
+diff --git a/tests/support/processes.py b/tests/support/processes.py
+index 4f264862a4..7c93e48368 100644
+--- a/tests/support/processes.py
++++ b/tests/support/processes.py
+@@ -14,7 +14,7 @@ from __future__ import absolute_import
+
+ import logging
+
+-from saltfactories.utils.processes.helpers import ( # pylint: disable=unused-import
++from saltfactories.utils.processes import ( # pylint: disable=unused-import
+ collect_child_processes,
+ terminate_process,
+ terminate_process_list,
+diff --git a/tests/unit/utils/scheduler/base.py b/tests/unit/utils/scheduler/base.py
+index 5d7f161eb5..286e047e40 100644
+--- a/tests/unit/utils/scheduler/base.py
++++ b/tests/unit/utils/scheduler/base.py
+@@ -14,7 +14,7 @@ import salt.utils.platform
+ import salt.utils.schedule
+ from salt.modules.test import ping
+ from salt.utils.process import SubprocessList
+-from saltfactories.utils.processes.helpers import terminate_process
++from saltfactories.utils.processes import terminate_process
+ from tests.support.mixins import SaltReturnAssertsMixin
+ from tests.support.mock import MagicMock, patch
+ from tests.support.runtests import RUNTIME_VARS
+diff --git a/tests/unit/utils/test_event.py b/tests/unit/utils/test_event.py
+index 9a3b1c428d..dfcf1c5275 100644
+--- a/tests/unit/utils/test_event.py
++++ b/tests/unit/utils/test_event.py
+@@ -21,7 +21,7 @@ import zmq
+ import zmq.eventloop.ioloop
+ from salt.ext.six.moves import range
+ from salt.ext.tornado.testing import AsyncTestCase
+-from saltfactories.utils.processes.helpers import terminate_process
++from saltfactories.utils.processes import terminate_process
+ from tests.support.events import eventpublisher_process, eventsender_process
+ from tests.support.helpers import slowTest
+ from tests.support.runtests import RUNTIME_VARS
+diff --git a/tests/unit/utils/test_verify.py b/tests/unit/utils/test_verify.py
+index 5662cf621b..0339c353dc 100644
+--- a/tests/unit/utils/test_verify.py
++++ b/tests/unit/utils/test_verify.py
+@@ -343,7 +343,7 @@ class TestCleanPath(TestCase):
+ def test_clean_path_valid(self):
+ path_a = os.path.join(self.tmpdir, "foo")
+ path_b = os.path.join(self.tmpdir, "foo", "bar")
+- assert clean_path(path_a, path_b) == path_b
++ assert clean_path(path_a, path_b) == os.path.realpath(path_b)
+
+ def test_clean_path_invalid(self):
+ path_a = os.path.join(self.tmpdir, "foo")
+@@ -398,10 +398,10 @@ class TestCleanPathLink(TestCase):
+ test_path = os.path.join(self.from_path, "test")
+ expect_path = os.path.join(self.to_path, "test")
+ ret = clean_path(self.from_path, test_path)
+- assert ret == expect_path, "{} is not {}".format(ret, expect_path)
++ assert ret == os.path.realpath(expect_path), "{} is not {}".format(ret, expect_path)
+
+ def test_clean_path_symlinked_tgt(self):
+ test_path = os.path.join(self.to_path, "test")
+ expect_path = os.path.join(self.to_path, "test")
+ ret = clean_path(self.from_path, test_path)
+- assert ret == expect_path, "{} is not {}".format(ret, expect_path)
++ assert ret == os.path.realpath(expect_path), "{} is not {}".format(ret, expect_path)
diff --git a/app-admin/salt/salt-3001.1.ebuild b/app-admin/salt/salt-3001.1.ebuild
new file mode 100644
index 00000000000..8f4eea2bcf2
--- /dev/null
+++ b/app-admin/salt/salt-3001.1.ebuild
@@ -0,0 +1,195 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{7..8} )
+DISTUTILS_USE_SETUPTOOLS=bdepend
+inherit systemd distutils-r1
+
+DESCRIPTION="Salt is a remote execution and configuration manager"
+HOMEPAGE="https://www.saltstack.com/resources/community/
+ https://github.com/saltstack"
+
+if [[ ${PV} == 9999* ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="git://github.com/${PN}stack/${PN}.git"
+ EGIT_BRANCH="develop"
+ SRC_URI=""
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="cheetah cherrypy ldap libcloud libvirt genshi gnupg keyring mako
+ mongodb neutron nova openssl portage profile redis selinux test raet
+ +zeromq vim-syntax"
+
+RDEPEND="
+ sys-apps/pciutils
+ dev-python/distro[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/libnacl[${PYTHON_USEDEP}]
+ >=dev-python/msgpack-0.5[${PYTHON_USEDEP}]
+ <dev-python/msgpack-1.0[${PYTHON_USEDEP}]
+ >=dev-python/pycryptodome-3.9.7[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/markupsafe[${PYTHON_USEDEP}]
+ >=dev-python/requests-1.0.0[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/toml[${PYTHON_USEDEP}]
+ dev-python/watchdog[${PYTHON_USEDEP}]
+ libcloud? ( >=dev-python/libcloud-0.14.0[${PYTHON_USEDEP}] )
+ mako? ( dev-python/mako[${PYTHON_USEDEP}] )
+ ldap? ( dev-python/python-ldap[${PYTHON_USEDEP}] )
+ libvirt? (
+ $(python_gen_cond_dep 'dev-python/libvirt-python[${PYTHON_USEDEP}]' python3_7)
+ )
+ openssl? (
+ dev-libs/openssl:0=[-bindist]
+ dev-python/pyopenssl[${PYTHON_USEDEP}]
+ )
+ raet? (
+ >=dev-python/libnacl-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/ioflo-1.1.7[${PYTHON_USEDEP}]
+ >=dev-python/raet-0.6.0[${PYTHON_USEDEP}]
+ )
+ cherrypy? ( >=dev-python/cherrypy-3.2.2[${PYTHON_USEDEP}] )
+ cheetah? ( dev-python/cheetah3[${PYTHON_USEDEP}] )
+ mongodb? ( dev-python/pymongo[${PYTHON_USEDEP}] )
+ portage? ( sys-apps/portage[${PYTHON_USEDEP}] )
+ keyring? ( dev-python/keyring[${PYTHON_USEDEP}] )
+ redis? ( dev-python/redis-py[${PYTHON_USEDEP}] )
+ selinux? ( sec-policy/selinux-salt )
+ nova? (
+ $(python_gen_cond_dep '>=dev-python/python-novaclient-2.17.0[${PYTHON_USEDEP}]' python3_7)
+ )
+ neutron? (
+ $(python_gen_cond_dep '>=dev-python/python-neutronclient-2.3.6[${PYTHON_USEDEP}]' python3_7)
+ )
+ gnupg? ( dev-python/python-gnupg[${PYTHON_USEDEP}] )
+ profile? ( dev-python/yappi[${PYTHON_USEDEP}] )
+ vim-syntax? ( app-vim/salt-vim )
+ zeromq? ( >=dev-python/pyzmq-2.2.0[${PYTHON_USEDEP}] )
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ >=dev-python/boto-2.32.1[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+ >=dev-python/libcloud-0.14.0[${PYTHON_USEDEP}]
+ >=dev-python/mock-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/moto-0.3.6[${PYTHON_USEDEP}]
+ dev-python/pip[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-helpers-namespace[${PYTHON_USEDEP}]
+ >=dev-python/pytest-salt-2020.1.27[${PYTHON_USEDEP}]
+ dev-python/pytest-salt-factories[${PYTHON_USEDEP}]
+ dev-python/pytest-tempdir[${PYTHON_USEDEP}]
+ >=dev-python/SaltTesting-2016.5.11[${PYTHON_USEDEP}]
+ >=dev-python/virtualenv-20.0.20[${PYTHON_USEDEP}]
+ !x86? ( >=dev-python/boto3-1.3.15[${PYTHON_USEDEP}] )
+ )"
+
+DOCS=( README.rst AUTHORS )
+
+REQUIRED_USE="|| ( raet zeromq )
+ test? ( cheetah genshi )"
+RESTRICT="!test? ( test ) x86? ( test )"
+
+PATCHES=(
+ #"${FILESDIR}/salt-2017.7.0-dont-realpath-tmpdir.patch"
+ "${FILESDIR}/salt-2019.2.0-skip-tests-that-oom-machine.patch"
+ "${FILESDIR}/salt-3001.1-tests.patch"
+ #"${FILESDIR}/salt-3000.2-tests.patch"
+
+ # https://github.com/saltstack/salt/pull/55410
+ #"${FILESDIR}/salt-3000.2-py38.patch"
+
+ # https://github.com/saltstack/salt/pull/55900
+ #"${FILESDIR}/salt-3000.2-py38-abc.patch"
+
+ # misc py38 fixups
+ #"${WORKDIR}/salt-3000.2-py38-misc.patch"
+ #"${FILESDIR}/salt-3000.2-py38-logwarn.patch"
+)
+
+python_prepare() {
+ # remove tests with external dependencies that may not be available
+ rm tests/unit/{test_zypp_plugins.py,utils/test_extend.py} || die
+ rm tests/unit/modules/test_{file,boto_{vpc,secgroup,elb}}.py || die
+ rm tests/unit/states/test_boto_vpc.py || die
+ rm tests/support/gitfs.py tests/unit/runners/test_git_pillar.py || die
+
+ # tests that require network access
+ rm tests/unit/{states,modules}/test_zcbuildout.py || die
+
+ # make sure pkg_resources doesn't bomb because pycrypto isn't installed
+ find . -name '*.txt' -print0 | xargs -0 sed -e '/pycrypto>/ d' -i || die
+
+ einfo "Fixing collections.abc warnings for ${EPYTHON}"
+ local abc
+ abc="$("${EPYTHON}" -c 'import collections.abc; print("|".join((c for c in dir(collections.abc) if not c.startswith("_"))))')" || die
+ find -name '*.py' -type f -print0 | xargs -0 sed -r -e "s:collections\\.(${abc}):collections.abc.\\1:g" -i || die
+
+ # allow the use of the renamed msgpack
+ sed -i '/^msgpack/d' requirements/base.txt || die
+}
+
+python_install_all() {
+ local svc
+ USE_SETUPTOOLS=1 distutils-r1_python_install_all
+
+ for svc in minion master syndic api; do
+ newinitd "${FILESDIR}"/${svc}-initd-4 salt-${svc}
+ newconfd "${FILESDIR}"/${svc}-confd-1 salt-${svc}
+ systemd_dounit "${FILESDIR}"/salt-${svc}.service
+ done
+
+ insinto /etc/${PN}
+ doins -r conf/*
+}
+
+python_test() {
+ local tempdir
+ # testsuite likes lots of files
+ ulimit -n 3072 || die
+
+ # ${T} is too long a path for the tests to work
+ tempdir="$(mktemp -du --tmpdir=/tmp salt-XXX)"
+ mkdir "${T}/$(basename "${tempdir}")"
+
+ (
+ cleanup() { rm -f "${tempdir}" || die; }
+
+ trap cleanup EXIT
+
+ addwrite "${tempdir}"
+ ln -s "$(realpath --relative-to=/tmp "${T}/$(basename "${tempdir}")")" "${tempdir}" || die
+
+ USE_SETUPTOOLS=1 SHELL="/bin/bash" \
+ TMPDIR="${tempdir}" \
+ ${EPYTHON} tests/runtests.py \
+ --unit-tests --no-report --verbose \
+ || die "testing failed with ${EPYTHON}"
+ )
+}
+
+pkg_postinst() {
+ if use python_targets_python3_8; then
+ if use nova; then
+ ewarn "Salt's nova functionality will not work with python3.8 since"
+ ewarn "dev-python/python-novaclient does not support it yet"
+ fi
+ if use neutron; then
+ ewarn "Salt's neutron functionality will not work with python3.8 since"
+ ewarn "dev-python/python-neutronclient does not support it yet"
+ fi
+ if use libvirt; then
+ ewarn "Salt's libvirt functionality will not work with python3.8 since"
+ ewarn "dev-python/libvirt-python does not support it yet"
+ fi
+ fi
+}